package com.ho.flow.mapper;


import com.ho.flow.vo.AlarmConfig;
import com.ho.flow.vo.req.AlarmConfig.AlarmConfigPageReqVo;
import com.ho.flow.vo.req.AlarmConfig.AlarmQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author gyan
* @description 针对表【alarm_config】的数据库操作Mapper
* @createDate 2023-02-01 17:15:01
*/
@Mapper
public interface AlarmConfigMapper {

    int insert(@Param("record") AlarmConfig alarmConfig);

    int insertBatch(@Param("list") List<AlarmConfig> list);

    int updateByPrimaryKeySelective(@Param("record") AlarmConfig alarmConfig);

    int updateBatch(@Param("list") List<AlarmConfig> list);

    AlarmConfig selectById(@Param("id") Integer id);

    List<AlarmConfig> selectList(@Param("record") AlarmConfigPageReqVo vo);

    List<AlarmConfig> selectRepeatValue(AlarmQuery alarmQuery);

    List<AlarmConfig> selectListByParams(@Param("stationId") Integer stationId, @Param("deviceType") String deviceType);

    int deleteByPrimaryKey(Integer id);

    int deleteByParam(Integer stationId,String deviceType);

    int deleteBatch(@Param("list") List<Integer> idList);

    int updateByParams(@Param("record") AlarmConfig alarmConfig);
}
